summaryrefslogtreecommitdiffstats
path: root/meta-poky/conf
diff options
context:
space:
mode:
authorBruce Ashfield <bruce.ashfield@gmail.com>2020-12-22 12:09:47 -0500
committerRichard Purdie <richard.purdie@linuxfoundation.org>2021-01-05 13:48:41 +0000
commit4c577733f1520e6740105b63d58a3cfa48184be3 (patch)
treec1eefc74e7f6eca6105935c41c6ba04c8b25d313 /meta-poky/conf
parent2fa16484703f934061be399ea7bd07fa671e6caa (diff)
downloadpoky-4c577733f1520e6740105b63d58a3cfa48184be3.tar.gz
poky-4c577733f1520e6740105b63d58a3cfa48184be3.tar.bz2
poky-4c577733f1520e6740105b63d58a3cfa48184be3.zip
poky-alt: don't use conditional assignment for preferred kernel version
The include of poky.conf already sets a preferred kernel version, so the one in the alt-config won't have any impact. This normally isn't a problem, but when we are introducing a new kernel that doesn't yet have compatibility with all machines, it throws warnings. WARNING: preferred version 5.10% of linux-yocto not available (for item kernel-module-x-tables) WARNING: versions of linux-yocto available: 5.4.69+gitAUTOINC+1c358e1969_cfcdd63145 5.8.13+gitAUTOINC+b976de4f41_5981001bf0 (From meta-yocto rev: a7b41f311eb79a2a112a75160b6d557029ca9904) Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta-poky/conf')
-rw-r--r--meta-poky/conf/distro/include/poky-distro-alt-test-config.inc2
1 files changed, 1 insertions, 1 deletions
diff --git a/meta-poky/conf/distro/include/poky-distro-alt-test-config.inc b/meta-poky/conf/distro/include/poky-distro-alt-test-config.inc
index 0b0412e60c..273ebfdfef 100644
--- a/meta-poky/conf/distro/include/poky-distro-alt-test-config.inc
+++ b/meta-poky/conf/distro/include/poky-distro-alt-test-config.inc
@@ -2,7 +2,7 @@
DISTRO_FEATURES_append = " pam"
# Use the LTSI Kernel
-PREFERRED_VERSION_linux-yocto ?= "5.4%"
+PREFERRED_VERSION_linux-yocto = "5.4%"
# Ensure the kernel nfs server is enabled
KERNEL_FEATURES_append_pn-linux-yocto = " features/nfsd/nfsd-enable.scc"